JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.workflows.flows.validate({
actions: [{ actionId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', position: 0 }],
name: 'x',
});
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.workflows.flows.validate(
actions=[{
"action_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"position": 0,
}],
name="x",
)
print(response.data)curl --request POST \
--url https://api.mobilerun.ai/v1/flows/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actions": [
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"children": [
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"continueOnError": false,
"key": "<string>",
"nameOverride": "<string>",
"overrides": {
"params": {}
},
"recordingEnabled": false
}
],
"continueOnError": false,
"key": "<string>",
"nameOverride": "<string>",
"overrides": {
"params": {}
},
"recordingEnabled": false
}
],
"name": "<string>",
"cooldownScope": "flow",
"cooldownSeconds": 1,
"description": "<string>",
"deviceIds": [],
"enabled": true,
"healthMonitoringEnabled": true,
"notifyOnFailure": false,
"notifyOnSuccess": false,
"notifyWebhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recordingEnabled": true,
"selfHealingEnabled": true,
"selfHealingMaxAttempts": 2,
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mobilerun.ai/v1/flows/validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'actions' => [
[
'actionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'position' => 1,
'children' => [
[
'actionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'position' => 1,
'continueOnError' => false,
'key' => '<string>',
'nameOverride' => '<string>',
'overrides' => [
'params' => [
]
],
'recordingEnabled' => false
]
],
'continueOnError' => false,
'key' => '<string>',
'nameOverride' => '<string>',
'overrides' => [
'params' => [
]
],
'recordingEnabled' => false
]
],
'name' => '<string>',
'cooldownScope' => 'flow',
'cooldownSeconds' => 1,
'description' => '<string>',
'deviceIds' => [
],
'enabled' => true,
'healthMonitoringEnabled' => true,
'notifyOnFailure' => false,
'notifyOnSuccess' => false,
'notifyWebhookId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'recordingEnabled' => true,
'selfHealingEnabled' => true,
'selfHealingMaxAttempts' => 2,
'triggerId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mobilerun.ai/v1/flows/validate"
payload := strings.NewReader("{\n \"actions\": [\n {\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 1,\n \"children\": [\n {\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 1,\n \"continueOnError\": false,\n \"key\": \"<string>\",\n \"nameOverride\": \"<string>\",\n \"overrides\": {\n \"params\": {}\n },\n \"recordingEnabled\": false\n }\n ],\n \"continueOnError\": false,\n \"key\": \"<string>\",\n \"nameOverride\": \"<string>\",\n \"overrides\": {\n \"params\": {}\n },\n \"recordingEnabled\": false\n }\n ],\n \"name\": \"<string>\",\n \"cooldownScope\": \"flow\",\n \"cooldownSeconds\": 1,\n \"description\": \"<string>\",\n \"deviceIds\": [],\n \"enabled\": true,\n \"healthMonitoringEnabled\": true,\n \"notifyOnFailure\": false,\n \"notifyOnSuccess\": false,\n \"notifyWebhookId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"recordingEnabled\": true,\n \"selfHealingEnabled\": true,\n \"selfHealingMaxAttempts\": 2,\n \"triggerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mobilerun.ai/v1/flows/validate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"actions\": [\n {\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 1,\n \"children\": [\n {\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 1,\n \"continueOnError\": false,\n \"key\": \"<string>\",\n \"nameOverride\": \"<string>\",\n \"overrides\": {\n \"params\": {}\n },\n \"recordingEnabled\": false\n }\n ],\n \"continueOnError\": false,\n \"key\": \"<string>\",\n \"nameOverride\": \"<string>\",\n \"overrides\": {\n \"params\": {}\n },\n \"recordingEnabled\": false\n }\n ],\n \"name\": \"<string>\",\n \"cooldownScope\": \"flow\",\n \"cooldownSeconds\": 1,\n \"description\": \"<string>\",\n \"deviceIds\": [],\n \"enabled\": true,\n \"healthMonitoringEnabled\": true,\n \"notifyOnFailure\": false,\n \"notifyOnSuccess\": false,\n \"notifyWebhookId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"recordingEnabled\": true,\n \"selfHealingEnabled\": true,\n \"selfHealingMaxAttempts\": 2,\n \"triggerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mobilerun.ai/v1/flows/validate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"actions\": [\n {\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 1,\n \"children\": [\n {\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 1,\n \"continueOnError\": false,\n \"key\": \"<string>\",\n \"nameOverride\": \"<string>\",\n \"overrides\": {\n \"params\": {}\n },\n \"recordingEnabled\": false\n }\n ],\n \"continueOnError\": false,\n \"key\": \"<string>\",\n \"nameOverride\": \"<string>\",\n \"overrides\": {\n \"params\": {}\n },\n \"recordingEnabled\": false\n }\n ],\n \"name\": \"<string>\",\n \"cooldownScope\": \"flow\",\n \"cooldownSeconds\": 1,\n \"description\": \"<string>\",\n \"deviceIds\": [],\n \"enabled\": true,\n \"healthMonitoringEnabled\": true,\n \"notifyOnFailure\": false,\n \"notifyOnSuccess\": false,\n \"notifyWebhookId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"recordingEnabled\": true,\n \"selfHealingEnabled\": true,\n \"selfHealingMaxAttempts\": 2,\n \"triggerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"knownSteps": [
"<string>"
],
"reference": "<string>"
}
],
"valid": true,
"warnings": [
{
"code": "<string>",
"message": "<string>",
"connectKey": "<string>",
"destination": "<string>"
}
]
}
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryAfterSeconds": 123,
"traceId": "<string>"
}{
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"error": "<string>"
}Flows
Validate a flow
POST
/
flows
/
validate
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.workflows.flows.validate({
actions: [{ actionId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', position: 0 }],
name: 'x',
});
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.workflows.flows.validate(
actions=[{
"action_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"position": 0,
}],
name="x",
)
print(response.data)curl --request POST \
--url https://api.mobilerun.ai/v1/flows/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actions": [
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"children": [
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"continueOnError": false,
"key": "<string>",
"nameOverride": "<string>",
"overrides": {
"params": {}
},
"recordingEnabled": false
}
],
"continueOnError": false,
"key": "<string>",
"nameOverride": "<string>",
"overrides": {
"params": {}
},
"recordingEnabled": false
}
],
"name": "<string>",
"cooldownScope": "flow",
"cooldownSeconds": 1,
"description": "<string>",
"deviceIds": [],
"enabled": true,
"healthMonitoringEnabled": true,
"notifyOnFailure": false,
"notifyOnSuccess": false,
"notifyWebhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recordingEnabled": true,
"selfHealingEnabled": true,
"selfHealingMaxAttempts": 2,
"triggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mobilerun.ai/v1/flows/validate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'actions' => [
[
'actionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'position' => 1,
'children' => [
[
'actionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'position' => 1,
'continueOnError' => false,
'key' => '<string>',
'nameOverride' => '<string>',
'overrides' => [
'params' => [
]
],
'recordingEnabled' => false
]
],
'continueOnError' => false,
'key' => '<string>',
'nameOverride' => '<string>',
'overrides' => [
'params' => [
]
],
'recordingEnabled' => false
]
],
'name' => '<string>',
'cooldownScope' => 'flow',
'cooldownSeconds' => 1,
'description' => '<string>',
'deviceIds' => [
],
'enabled' => true,
'healthMonitoringEnabled' => true,
'notifyOnFailure' => false,
'notifyOnSuccess' => false,
'notifyWebhookId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'recordingEnabled' => true,
'selfHealingEnabled' => true,
'selfHealingMaxAttempts' => 2,
'triggerId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mobilerun.ai/v1/flows/validate"
payload := strings.NewReader("{\n \"actions\": [\n {\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 1,\n \"children\": [\n {\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 1,\n \"continueOnError\": false,\n \"key\": \"<string>\",\n \"nameOverride\": \"<string>\",\n \"overrides\": {\n \"params\": {}\n },\n \"recordingEnabled\": false\n }\n ],\n \"continueOnError\": false,\n \"key\": \"<string>\",\n \"nameOverride\": \"<string>\",\n \"overrides\": {\n \"params\": {}\n },\n \"recordingEnabled\": false\n }\n ],\n \"name\": \"<string>\",\n \"cooldownScope\": \"flow\",\n \"cooldownSeconds\": 1,\n \"description\": \"<string>\",\n \"deviceIds\": [],\n \"enabled\": true,\n \"healthMonitoringEnabled\": true,\n \"notifyOnFailure\": false,\n \"notifyOnSuccess\": false,\n \"notifyWebhookId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"recordingEnabled\": true,\n \"selfHealingEnabled\": true,\n \"selfHealingMaxAttempts\": 2,\n \"triggerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mobilerun.ai/v1/flows/validate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"actions\": [\n {\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 1,\n \"children\": [\n {\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 1,\n \"continueOnError\": false,\n \"key\": \"<string>\",\n \"nameOverride\": \"<string>\",\n \"overrides\": {\n \"params\": {}\n },\n \"recordingEnabled\": false\n }\n ],\n \"continueOnError\": false,\n \"key\": \"<string>\",\n \"nameOverride\": \"<string>\",\n \"overrides\": {\n \"params\": {}\n },\n \"recordingEnabled\": false\n }\n ],\n \"name\": \"<string>\",\n \"cooldownScope\": \"flow\",\n \"cooldownSeconds\": 1,\n \"description\": \"<string>\",\n \"deviceIds\": [],\n \"enabled\": true,\n \"healthMonitoringEnabled\": true,\n \"notifyOnFailure\": false,\n \"notifyOnSuccess\": false,\n \"notifyWebhookId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"recordingEnabled\": true,\n \"selfHealingEnabled\": true,\n \"selfHealingMaxAttempts\": 2,\n \"triggerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mobilerun.ai/v1/flows/validate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"actions\": [\n {\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 1,\n \"children\": [\n {\n \"actionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"position\": 1,\n \"continueOnError\": false,\n \"key\": \"<string>\",\n \"nameOverride\": \"<string>\",\n \"overrides\": {\n \"params\": {}\n },\n \"recordingEnabled\": false\n }\n ],\n \"continueOnError\": false,\n \"key\": \"<string>\",\n \"nameOverride\": \"<string>\",\n \"overrides\": {\n \"params\": {}\n },\n \"recordingEnabled\": false\n }\n ],\n \"name\": \"<string>\",\n \"cooldownScope\": \"flow\",\n \"cooldownSeconds\": 1,\n \"description\": \"<string>\",\n \"deviceIds\": [],\n \"enabled\": true,\n \"healthMonitoringEnabled\": true,\n \"notifyOnFailure\": false,\n \"notifyOnSuccess\": false,\n \"notifyWebhookId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"recordingEnabled\": true,\n \"selfHealingEnabled\": true,\n \"selfHealingMaxAttempts\": 2,\n \"triggerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"knownSteps": [
"<string>"
],
"reference": "<string>"
}
],
"valid": true,
"warnings": [
{
"code": "<string>",
"message": "<string>",
"connectKey": "<string>",
"destination": "<string>"
}
]
}
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryAfterSeconds": 123,
"traceId": "<string>"
}{
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"error": "<string>"
}Authorizations
Bearer token via Authorization header
Body
application/json
Minimum array length:
1- Option 1
- Option 2
Show child attributes
Show child attributes
Required string length:
1 - 256Available options:
flow, device Required range:
x >= 0Show child attributes
Show child attributes
Maximum string length:
2048Maximum array length:
256Show child attributes
Show child attributes
Required range:
1 <= x <= 5Response
Flow validation result
Show child attributes
Show child attributes
Was this page helpful?
⌘I